ByCloud Docs
GuidesCLIAPISDK
get/v1/subnets/{subnet_id}

Get subnet

Get details of a specific subnet

Path Parameters

subnet_id

string<uuid>required

path

Subnet ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Subnet details

Content-Type: application/json

subnet

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/subnets/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Subnet details

{
"subnet": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:network:subnet:550e8400-e29b-41d4-a716-446655440000",
"name": "private-subnet",
"description": "string",
"network_id": "550e8400-e29b-41d4-a716-446655440001",
"ip_version": 4,
"cidr": "192.168.1.0/24",
"gateway_ip": "192.168.1.1",
"dns_nameservers": [
"8.8.8.8",
"8.8.4.4"
],
"allocation_pools": [
{
"start": "192.168.1.100",
"end": "192.168.1.200"
}
],
"host_routes": [
{
"destination": "10.0.0.0/8",
"nexthop": "192.168.1.1"
}
],
"enable_dhcp": true,
"ipv6_ra_mode": "slaac",
"ipv6_address_mode": "slaac",
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}